Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UnionInfos

    java.lang.Object
      jet.api.QueryInfo
          jet.api.UnionInfos

    public class UnionInfos

extends jet.api.QueryInfo

This class represents a packet which provides handy ways to manipulate union query informations.

Constructor Summary
`UnionInfos()` Constructor.
`UnionInfos(int capacity)` Constructor.

Method Summary
`void` | `addUnionInfo(UnionInfo info)` Adds a `UnionInfo` into the container.
`UnionInfo` | `getUnionInfo(int index)` Gets the specified `UnionInfo` object.
`UnionInfo[]` | `getUnionInfos()` Gets all `UnionInfo` objects in the container.
`boolean` | `insertUnionInfo(UnionInfo info, int index)` Inserts a `UnionInfo` at the specific position.

Methods inherited from class jet.api.QueryInfo
`getInfoNumber, indexOf, remove, remove, removeAll`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionInfos

    public UnionInfos()

  Constructor. Construct a container of union queries with the initial `UnionInfo` array's size of 10.

### UnionInfos

    public UnionInfos(int capacity)

  Constructor. Construct a container of union queries with specific `UnionInfo` array's size.

  Parameters:
    `capacity` - The initial capacity of the container of `UnionInfo`.

Method Detail

### addUnionInfo

    public void addUnionInfo(UnionInfo info)

  Adds a `UnionInfo` into the container.

  Parameters:
    `info` - The `UnionInfo` object to be added.

### insertUnionInfo

    public boolean insertUnionInfo(UnionInfo info,
                                   int index)

  Inserts a `UnionInfo` at the specific position.

  Parameters:
    `info` - The `UnionInfo` to be inserted.
    `index` - The index where the `UnionInfo` to be inserted.
  Returns:
    `true` if inserts successfully; `false` otherwise.

### getUnionInfo

    public UnionInfo getUnionInfo(int index)

  Gets the specified `UnionInfo` object.

  Parameters:
    `index` - Specifies the position of `UnionInfo`in the container. The index should be a digit between 0 and length-1
  Returns:
    the specified `UnionInfo`object.``

### getUnionInfos

    public UnionInfo[] getUnionInfos()

  Gets all `UnionInfo` objects in the container.

  Returns:
    the `UnionInfo` array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD